﻿/*
SageFrame® - http://www.sageframe.com
Copyright (c) 2009-2010 by SageFrame
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SageFrame.Web;
using SageFrame.Framework;
using System.Collections;

public partial class Modules_SageFrameBanner_SageFrameBanner : BaseAdministrationUserControl
{
    public string GetPageName = "SageFrameDownload";

    protected void Page_Load(object sender, EventArgs e)
    {
        IncludeCssFile("~/Modules/SageFrameBanner/css/slider.css");
        //bannerCss.Attributes.Add("href",ResolveUrl("~/Modules/SageFrameBanner/css/slider.css"));
        InitializeJS();
        if (!Page.IsPostBack)
        {
            downloadLink1.Attributes.Add("href", SetDownloadUrl());
            downloadLink2.Attributes.Add("href", SetDownloadUrl());
			downloadLink3.Attributes.Add("href", SetDownloadUrl());
            downloadLink4.Attributes.Add("href", SetDownloadUrl());
        }
    }

    private string SetDownloadUrl()
    {
        string DownloadUrl = string.Empty;
        SageFrameConfig pagebase = new SageFrameConfig();
        bool IsUseFriendlyUrls = pagebase.GetSettingBollByKey(SageFrameSettingKeys.UseFriendlyUrls);
        if (IsUseFriendlyUrls)
        {
            if (GetPortalID > 1)
            {
                DownloadUrl = ResolveUrl("~/portal/" + GetPortalSEOName + "/" + GetPageName + ".aspx");
            }
            else
            {
                DownloadUrl = ResolveUrl("~/" + GetPageName + ".aspx");
            }
        }
        else
        {
            DownloadUrl = ResolveUrl("~/Default.aspx?ptlid=" + GetPortalID + "&ptSEO=" + GetPortalSEOName + "&pgnm=" + GetPageName);
        }
        return DownloadUrl;
    }    

    private void InitializeJS()
    {   ArrayList arrColl = new ArrayList();
        arrColl.Add("~/Modules/SageFrameBanner/js/jquery.anythingslider.js");
        arrColl.Add("~/Modules/SageFrameBanner/js/jquery.easing.1.2.js");
        arrColl.Add("~/Modules/SageFrameBanner/js/banner-slider.js");
        IncludeScriptFile(arrColl);
        //Page.ClientScript.RegisterClientScriptInclude("jquery1", ResolveUrl("~/Modules/SageFrameBanner/js/jquery.anythingslider.js"));
        //Page.ClientScript.RegisterClientScriptInclude("jquery2", ResolveUrl("~/Modules/SageFrameBanner/js/jquery.easing.1.2.js"));
        //Page.ClientScript.RegisterClientScriptInclude("Slider", ResolveUrl("~/Modules/SageFrameBanner/js/banner-slider.js"));
    }
}
