﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SageFrame.SageFrameClass;
using SageFrame.Modules.Admin.HostSettings;
using SageFrame.Shared;
using SageFrame.Template;
using SageFrame.Core.Pages;
using SageFrame.Web;
using SageFrame.Localization;
using SageFrame.Framework;
using System.Collections.Specialized;
using SageFrame.ListManagement;
using SageFrame.Web.Utilities;
using Twitter;

public partial class Modules_Twitter_TwitterSettings : BaseAdministrationUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            imbSave.ImageUrl = GetTemplateImageUrl("btnsave.png", true);
            BindSettings();
        }
    }

    protected void BindSettings()
    {
        TwitterSettingsInfo twtData = new TwitterSettingsInfo();
        TwitterSqlhandler twtSql = new TwitterSqlhandler();
        int userModuuleID;
        bool status = int.TryParse(SageUserModuleID, out userModuuleID);
        twtData = twtSql.GetTwitterSettingValues(userModuuleID, GetPortalID);
        txtTitle.Text = twtData.Title.ToString();
        txtScreenName.Text = twtData.ScreenName.ToString();
        txtTwittsCount.Text = twtData.Count.ToString();
    }

    protected void imbSave_Click(object sender, ImageClickEventArgs e)
    {
        try
        {
            //   int UserModuleID = int.Parse(SageUserModuleID);
            int PortalID = GetPortalID;
            string title = txtTitle.Text;
            string url = txtScreenName.Text;
            int userModuleID;
            bool status = int.TryParse(SageUserModuleID, out userModuleID);
            bool statuses;
            int count;
            statuses = int.TryParse(txtTwittsCount.Text, out count);
            TwitterSqlhandler twtSql = new TwitterSqlhandler();
            twtSql.SaveTwitterSettings(userModuleID.ToString(), GetPortalID.ToString(), title, url, count.ToString());
            ShowMessage(SageMessageTitle.Information.ToString(), SageMessage.GetSageModuleLocalMessageByVertualPath("Modules/TwitterDeck/ModuleLocalText", "TwitterSettingSavedSuccessfully"), "", SageMessageType.Success);
        }
        catch (Exception Ex)
        {
            ProcessException(Ex);
        }
    }
}
